//////////////////////////////////////////////////////////////////////////////////
//
//  macros.inc
//
//  Copyright (C) 2001 by Michiel Ronsse, Ghent University, Belgium
//
//  This file is part of JiTI86 (http://www.elis.rug.ac.be/~ronsse/jiti/)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
//
//////////////////////////////////////////////////////////////////////////////////
//
// $Author: ronsse $
// $Date: 2001/11/14 14:04:49 $
// $Log: macros.inc,v $
// Revision 1.4  2001/11/14 14:04:49  ronsse
// Changed /* to // type of comments in copyright notice.
//
// Revision 1.3  2001/10/25 13:46:01  ronsse
// Initial commit
//
//
//////////////////////////////////////////////////////////////////////////////////
	
	// definitie van de ontbrekende RET IMM
.macro reti bytes		  	
	.byte 0xC2
	.byte \bytes
	.byte 0
.endm	

/////////////////////////////////////////////////////////////////////////////////////
		
	// definitie van de ontbrekende OPERAND size prefix
.macro operand
	.byte 0x66
.endm

/////////////////////////////////////////////////////////////////////////////////////
			
	// definitie van de ontbrekende REPNE/REPNZ
.macro repnz string_instructie
	.byte 0xF2
	\string_instructie
.endm
.macro repne string_instructie
	repnz \string_instructie
.endm	
	
	// definitie van de ontbrekende REP/REPE/REPZ
.macro rep string_instructie
	.byte 0xF3
	\string_instructie
.endm	

	// aliassen
.macro repz string_instructie
	rep \string_instructie
.endm
.macro repe string_instructie
	rep \string_instructie
.endm
	
/////////////////////////////////////////////////////////////////////////////////////
