//////////////////////////////////////////////////////////////////////////////////
//
//  string.s 
//
//  Copyright (C) 2001 by Michiel Ronsse, Ghent University, Belgium
//
//  This file is part of JiTI86 (http://www.elis.rug.ac.be/~ronsse/jiti/)
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
//
//////////////////////////////////////////////////////////////////////////////////
//
// $Author: ronsse $
// $Date: 2001/11/14 14:04:49 $
// $Log: string.s,v $
// Revision 1.4  2001/11/14 14:04:49  ronsse
// Changed /* to // type of comments in copyright notice.
//
// Revision 1.3  2001/10/25 13:46:01  ronsse
// Initial commit
//
//
//////////////////////////////////////////////////////////////////////////////////

.include "macros.inc"
	
	
.text
        .align 4

	
/////////////////////////////////////////////////////////////////////////////////////
			
.globl range
        .type range,@function
range:
	pushl %ebp
	movl %esp, %ebp
	pushf
	pushal

	// startadres
	movl 16(%ebp), %eax
	
	// stopadres
	movl 12(%ebp), %ebx
	
	cmpl %eax, %ebx
	jg start_kleiner_dan_stop
	subl %ebx,%eax
	// %eax=len, %ebx=start
	xchgl %eax,%ebx       
	// %eax=start, %ebx=stop
	jmp ok
	
start_kleiner_dan_stop:	
	// %eax=start, %ebx=len
	subl %eax,%ebx
	
ok:
	
	// nu is %eax=start, %ebx=len
	// start
	pushl %eax
	// len
	pushl %ebx
	// type
	pushl 8(%ebp)
	// ip+2+delta  of ip+3+delta!! (indien operand size prefix!)
	movl 20(%ebp), %eax

	pushl %eax

	call trace_
	
	popal
	popf
	
	leave
	reti 16
	
	.size range,.-range
	
